local MAJOR = "StarLibPluginLinq-1.0" 
local MINOR = 3

local PluginLinq = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginLinq then return end
local LibLinq = LibStub("LibLinq-1.0")
assert(LibLinq, MAJOR .. " requires LibLinq-1.0")


-- @name PluginLinq:New
-- @usage PluginLinq:New(environment)
-- @parma environment This will be the environment when loadstring is callled.
-- @return Nothing
function PluginLinq:New(environment)
	environment.Linq = LibLinq
end
